Subject: [ietf-dkim] New Version Notification for draft-ietf-dkim-ssp-06 (fwd)

From: John L <[email-masked]>
Date: Fri, 19 Sep 2008 22:21:40 +0100 (BST)

This addresses the various last call comments.  The changes are all minor 
editorial ones, nothing large.

Regards,
John Levine, [email-masked], Primary Perpetrator of "The Internet for Dummies",
Information Superhighwayman wanna-be, http://www.johnlevine.com, ex-Mayor
"More Wiener schnitzel, please", said Tom, revealingly.

---------- Forwarded message ----------
Date: Fri, 19 Sep 2008 14:17:07 -0700 (PDT)
From: IETF I-D Submission Tool <[email-masked]>
To: [email-masked]

A new version of I-D, draft-ietf-dkim-ssp-06.txt has been successfuly submitted by John Levine and posted to the IETF repository.

Filename:	 draft-ietf-dkim-ssp
Revision:	 06
Title:		 DKIM Author Domain Signing Practices (ADSP)
Creation_date:	 2008-09-19
WG ID:		 dkim
Number_of_pages: 21

Abstract:
DomainKeys Identified Mail (DKIM) defines a domain-level
authentication framework for email to permit verification of the
source and contents of messages.  This document specifies an adjunct
mechanism to aid in assessing messages that do not contain a DKIM
signature for the domain used in the author's address.  It defines a
record that can advertise whether a domain signs its outgoing mail,
and how other hosts can access that record.

The IETF Secretariat.

_______________________________________________
NOTE WELL: This list operates according to 
http://mipassoc.org/dkim/ietf-list-rules.html

---

From: Stephen Farrell <[email-masked]>
Date: Sat, 20 Sep 2008 09:16:09 +0100

Thanks John,

So this means that we're not taking on board the various
suggestions in Doug's draft since they didn't garner
any real support. I think that's correct, but just in
case - if there's a whole bunch of folks out there who
agree with Doug's draft so much that they think we
should not progress ADSP - now's your last chance
(in the WG) to say so.

It might be no harm if folks who do think ADSP should
go ahead would respond to this saying so. I'm sure that
Doug will (quite reasonably) bring up his concerns again
at IETF LC, so being crystal clear here might be no
harm.

I'll give folks the weekend to check that and for any
new typos then send the publication request to Pasi.

Thanks all,
Stephen.

---

From: Dave CROCKER <[email-masked]>
Date: Sat, 20 Sep 2008 05:06:42 -0700

Stephen Farrell wrote:
> go ahead would respond to this saying so. 

+1

d/
-- 

   Dave Crocker
   Brandenburg InternetWorking
   bbiw.net
_______________________________________________
NOTE WELL: This list operates according to 
http://mipassoc.org/dkim/ietf-list-rules.html

---

From: Arvel Hathcock <[email-masked]>
Date: Sat, 20 Sep 2008 10:36:30 -0500

+1

Arvel

---

From: Steve Atkins <[email-masked]>
Date: Sat, 20 Sep 2008 08:59:39 -0700

> should not progress ADSP - now's your last chance

I'm not interested in Doug's concerns. I don't think we
should progress ADSP, though, because the problem it's
intended to solve was never defined.

Also, if ADSP were deployed it would have no positive
effect on the problem of phishing (the supposed goal) -
and may even make that problem worse.

Yet it will make delivery of legitimate email marginally
less reliable.

It damages legitimate use of email, yet the supposed
benefits that should outweigh that damage are extremely
unlikely to happen in real world deployment. Overall
it's going to be harmful to the global email system.

Cheers,
   Steve

>> A new version of I-D, draft-ietf-dkim-ssp-06.txt has been  
>> successfuly submitted by John Levine and posted to the IETF  
>> repository.
>>

---

From: SM <[email-masked]>
Date: Sat, 20 Sep 2008 10:49:16 -0700

>new typos then send the publication request to Pasi.

In Section 5:

  "In all cases, new values are assigned only for values that have been
   documented in a published RFC"

RFCs are generally published.  That word could be dropped from the sentence.

Regards,
-sm

---

From: Dave CROCKER <[email-masked]>
Date: Sat, 20 Sep 2008 12:10:37 -0700

> RFCs are generally published.  That word could be dropped from the sentence.

You are technically correct.  However, the term "draft RFC" is relatively common.

d/

-- 

   Dave Crocker

---

From: Stephen Farrell <[email-masked]>
Date: Sat, 20 Sep 2008 21:09:17 +0100

Sorry, let me clarify. WGLC is done. I was only interested
in getting "+1 to publish" or "I agree with Doug" responses.
We're done with this document.
Thanks,
Stephen.

---

From: Steve Atkins <[email-masked]>
Date: Sat, 20 Sep 2008 15:30:30 -0700

> We're done with this document.

Absolutely, I don't expect (nor want) any change. I just want
something to point at in a couple of years time, and that seemed
like an appropriate point to underscore the process.

Cheers,
   Steve

---

From: "J D Falk" <[email-masked]>
Date: Sun, 21 Sep 2008 08:18:32 -0400

+1

-- 
J.D. Falk
Return Path

Work with me!
http://www.returnpath.net/careers/

---

From: [email-masked] (Wietse Venema)
Date: Sun, 21 Sep 2008 18:48:52 -0400 (EDT)

> >> go ahead would respond to this saying so.

+1.

	Wietse

---

From: "MH Michael Hammer (5304)" <[email-masked]>
Date: Sun, 21 Sep 2008 19:28:55 -0400

> -----Original Message-----
> From: [email-masked] [mailto:ietf-dkim-
> [email-masked]] On Behalf Of Wietse Venema
> Sent: Sunday, September 21, 2008 6:49 PM
> To: [email-masked]
> Subject: Re: [ietf-dkim] Progressing ADSP (Was: Re: New Version
> Notification for draft-ietf-dkim-ssp-06 (fwd))
> 
> J D Falk:
+1

---

From: "Al Iverson" <[email-masked]>
Date: Sun, 21 Sep 2008 19:04:55 -0500

+1

-- 
Al Iverson on Spam and Deliverability, see http://www.spamresource.com
News, stats, info, and commentary on blacklists: http://www.dnsbl.com
My personal website: http://www.aliverson.com -- Chicago, IL, USA
Remove "lists" from my email address to reach me faster and directly.
_______________________________________________
NOTE WELL: This list operates according to 
http://mipassoc.org/dkim/ietf-list-rules.html

---

From: <[email-masked]>
Date: Mon, 22 Sep 2008 09:40:21 -0400

since in its current very limited form I have no opinion on usefulness so therefore no objection

Bill Oxley
Messaging Engineer
Cox Communications, Inc
404-847-6397

-----Original Message-----
From: [email-masked] on behalf of Dave CROCKER
Sent: Sat 9/20/2008 8:06 AM
To: DKIM List
Subject: Re: [ietf-dkim] Progressing ADSP (Was: Re: New Version Notification for draft-ietf-dkim-ssp-06	(fwd))

+1

d/
-- 

   Dave Crocker

---

From: Jeff Macdonald <[email-masked]>
Date: Mon, 22 Sep 2008 15:46:57 -0400

+1

-- 
Jeff Macdonald <[email-masked]>
e-Dialog

---

From: Tony Hansen <[email-masked]>
Date: Mon, 22 Sep 2008 17:02:41 -0400

+1 on moving forward with draft-ietf-dkim-ssp.

After re-reading it afresh, a couple nits are noted below.

	Tony Hansen
	[email-masked]

    Please replace RFC 2821 with draft-klensin-rfc2821bis. The latter is
    in AUTH48 to be published as RFC 5321 and will obsolete 2821.
    Changing it now will guarantee that it will get fixed up to be the
    proper reference during ADSP's AUTH48.

    Please replace RFC 2821 with draft-resnick-2822upd. The latter is in
    AUTH48 to be published as RFC 5322 and will obsolete 2822. Changing
    it now will guarantee that it will get fixed up to be the proper
    reference during ADSP's AUTH48.

    Section 2.7, 1st para, missing conjunction:

    < 							Following
    <   [RFC2821], Local-part comparisons are case sensitive, domain
    <   comparisons are case insensitive.
    --
    > 							Following
    >   [RFC2821], Local-part comparisons are case sensitive, and domain
    >   comparisons are case insensitive.

    Section 4.1, 3rd para, missing space:

    <   ADSP records MUST NOT be published at any location other than
    <   the_adsp._domainkey subdomain of the domain for which they are
    --
    >   ADSP records MUST NOT be published at any location other than
    >   the _adsp._domainkey subdomain of the domain for which they are

    Section 4.2.1, 1st para, should eliminate record starting with
"dkimXYZ=":
    <   practices tag, so the first four characters of the record are
    <   lower case "dkim".
    --
    >   practices tag, so the first four characters of the record are
    >   lower case "dkim", followed by optional whitespace and "=".

    Section 4.2.1, 6th para, clarity:
    <   a path without access to a signing key, or other reason, the
    --
    >   a path without access to a signing key, or any other reason, the
    or
    >   a path without access to a signing key, or another reason, the

---

From: Jon Callas <[email-masked]>
Date: Mon, 22 Sep 2008 21:35:39 -0700

> go ahead would respond to this saying so. I

+1

	Jon

---

From: Roland Turner <[email-masked]>
Date: Tue, 23 Sep 2008 17:49:03 +0800

+1

- Roland

-- 
  Roland Turner | Product Manager, RealMail | BoxSentry Pte Ltd
  3 Phillip Street, #13-03 Commerce Point, Singapore 048693
  Mob: +65 96700022 | Skype: roland.turner | Fax. +65 65365463
  [email-masked] | www.boxsentry.com

---

From: "Patrick Peterson" <[email-masked]>
Date: Wed, 24 Sep 2008 13:29:45 -0700

> > It might be no harm if folks who do think ADSP should go 
> ahead would 
> > respond to this saying so.

+1

pat